# Copyright 2023 OpenHW Group
# Solderpad Hardware License, Version 2.1, see LICENSE.md for details.
# SPDX-License-Identifier: Apache-2.0 WITH SHL-2.1

# Read the Docs configuration file
# See https://docs.readthedocs.io/en/stable/config-file/v2.html for details

# Required
version: 2

build:
  os: "ubuntu-20.04"
  tools:
    python: "3.9"

# Build from the docs directory with Sphinx
sphinx:
  configuration: doc/conf.py

# Explicitly set the Python requirements
python:
  install:
    - requirements: doc/requirements.txt